## Purpose

I will place multiple scripts here which may fit a daily-use purpose on Debian systems but are not
covered by the repositories attached to the systems.

## Shell scripting

Many executables placed here will be shell scripting. I still prefer this because a bash or ksh is present on most systems, while python or perl not necessarily are.

Any bash code here is also ksh compliant. ksh means: ksh93, and for AIX you better rely on AIX 7 - while AIX 6 has ksh93 it's a rather nasty fork IBM never cared to update too much.

## Folders

* **./aux:** The auxiliaries used to check the validity of this repositories' content, e.g. code checkers
* **./bin:** "executables", intended to be directly run and not sourced
* **./lib:** "libraries", intended to be sourced to provide functions and variables
* **./sbin:** system "executables", intended to be directly run and not sourced
